# module

abstract fun module(module: EarModule, type: String): DeploymentDescriptor

Add a module to the deployment descriptor.

#### Return

this.

#### Parameters

module

The module to add.

type

The type of the module, such as "ejb", "java", etc.

abstract fun module(path: String, type: String): DeploymentDescriptor

Add a module to the deployment descriptor.

#### Return

this.

#### Parameters

path

The path of the module to add.

type

The type of the module, such as "ejb", "java", etc.